# Background

No good templates for calendar/journal layout - either too inflexible or too complex.

This approach just takes some prepared files and collates them into the desired layout.

While a certain layout is assumed during collation, any periodic layout will work with a bit of hacking.

The layout used here is as follows:

* Title Page (1 page)
* Ruled page for notes (1 page)
* Bi-Weekly planner (2 pages per month)
* Full month calendar (1 page per month)

Everything repeated except for the title page of course.

Designed for double sided printing so that the bi-weekly planner is on facing pages.

Providing your own documents to get the typesetting you want.

# Installation

Needs ``bash``, ``pdftk``, ``ps2pdf``, ``pcal``, and optionally ``libreoffice``.

* LibreOffice is only required to print any Open Documents as pdf.

Everything is processed through ``pdftk`` - with some heavy usage of bash substitution.

# Usage

```
./gardening-calendar.sh -h # for help

# for a full year journal (49 pages - 25 leaves)
./gardening-calendar.sh 2023 gardening-calendar.fods title.fodt ruled-rainfall.fodt

# to use your own documents
./gardening-calendar.sh 2023 gardening-calendar.pdf title.pdf ruled-rainfall.pdf
```

Specified documents can be a mix of Open Document or PDF.

Supported document types are Open Document, PDF, or flat Open Document (XML).

## Title Page

Single page LibreOffice text document: ``title.fodt``

## Ruled page

Single page (ish) ODT document with ruled lines and a rainfall table: ``ruled-rainfall.fodt``

If more than one page, only the first page is used.

## Bi-Weekly planner

This is more complex.

An LibreOffice Spreadsheet has formulars to facilitate generating calendar months correctly: ``gardening-calendar.fods``

It is designed to fit a full month on two A4 pages.

## Full month calendar

This is generated on-the-fly with ``pcal``.

Any single page document will do.

